package apps;

import com.ibm.rhapsody.apps.utils.Reporter;
import com.telelogic.rhapsody.core.IRPApplication;
import com.telelogic.rhapsody.core.IRPCollection;

public class MBDGHTTPWebServerLauncher {
	private int httpServerPort;
	private IRPApplication rhapsody;
	
	public MBDGHTTPWebServerLauncher(IRPApplication rhapsody) {
		this.rhapsody = rhapsody;
	}

	public int getPort() {
		return httpServerPort;
	}

	public void setPort(int httpServerPort) {
		this.httpServerPort = httpServerPort;
	}	
	
	public void start() {
		IRPCollection pCommandResult = rhapsody.createNewCollection();
		rhapsody.executeCommand("StartHTTPServerSession", null, pCommandResult);
		if (pCommandResult.getCount() > 0) {
			String sPort = (String)pCommandResult.getItem(1);
			setPort(Integer.parseInt(sPort));
			Reporter.report("Rhapsody Web server is running. The server address is: " + getPort());
		}
	}		
}
